import { Decimal } from 'decimal.js';
import type { NumberAdapter } from './types.js';
import type { TimeredCounterAdapter } from '../timered-counter-adapter.js';
declare const DecimalJsAdapter: (config?: Decimal.Config) => NumberAdapter<Decimal>;
export declare function register(counterAdapter: typeof TimeredCounterAdapter, config?: Decimal.Config): void;
export { DecimalJsAdapter };
declare const _default: {
    register: typeof register;
    DecimalJsAdapter: (config?: Decimal.Config) => NumberAdapter<Decimal>;
};
export default _default;
