export declare enum DurationPartType {
    Millisecond = "millisecond",
    Second = "second",
    Minute = "minute",
    Hour = "hour",
    Day = "day",
    Week = "weekOfYear",
    Month = "month",
    Quarter = "quarter",
    Year = "year"
}
export declare const DurationPartMillisecond: {
    readonly millisecond: 1;
    readonly second: 1000;
    readonly minute: 60000;
    readonly hour: 3600000;
    readonly day: 86400000;
    readonly weekOfYear: 604800000;
    readonly month: 2629800000;
    readonly quarter: 7889400000;
    readonly year: 31557600000;
};
export declare const DurationPartMillisecondToType: {
    readonly 1: DurationPartType.Millisecond;
    readonly 1000: DurationPartType.Second;
    readonly 60000: DurationPartType.Minute;
    readonly 3600000: DurationPartType.Hour;
    readonly 86400000: DurationPartType.Day;
    readonly 604800000: DurationPartType.Week;
    readonly 2629800000: DurationPartType.Month;
    readonly 7889400000: DurationPartType.Quarter;
    readonly 31557600000: DurationPartType.Year;
};
