import { GroupValueOrGetter, PartValueOrGetter, ExtractGroupValue, ExtractPartValue, PartDigitValueOrGetter, PartDigitCellValueOrGetter, ExtractPartDigitCellValue, ExtractPartDigitValue, GroupGetterOptions } from '../types/group.js';
export declare function extractGroupOption<P extends GroupValueOrGetter<unknown>, Result = ExtractGroupValue<P>>(option: P, getterOptions: GroupGetterOptions): Result;
export declare function extractPartOption<P extends PartValueOrGetter<unknown>, Result = ExtractPartValue<P>>(option: P, getterOptions: GroupGetterOptions): Result[];
export declare function extractPartDigitOption<P extends PartDigitValueOrGetter<unknown>, Result = ExtractPartDigitValue<P>>(option: P, getterOptions: GroupGetterOptions): Result[][];
export declare function extractPartDigitCellOption<P extends PartDigitCellValueOrGetter<unknown>, Result = ExtractPartDigitCellValue<P>>(option: P, getterOptions: GroupGetterOptions): Result[][][];
export declare function mergeGroupOption<P extends GroupValueOrGetter<unknown>, Result = ExtractGroupValue<P>>(data: Result, source: Result): Result;
export declare function mergePartOption<P extends PartValueOrGetter<unknown>, Result = ExtractPartValue<P>>(data?: Result[], source?: Result[]): Result[];
export declare function mergePartDigitOption<P extends PartDigitValueOrGetter<unknown>, Result = ExtractPartDigitValue<P>>(data?: Result[][], source?: Result[][]): Result[][];
export declare function mergePartDigitCellOption<P extends PartDigitCellValueOrGetter<unknown>, Result = ExtractPartDigitCellValue<P>>(data?: Result[][][], source?: Result[][][]): Result[][][];
