import { StoryObj } from '@storybook/web-components';
import { TimeredCounter } from '../../src/index.js';
import { NoUndefinedField } from '../utils/index.js';
export declare function datetimePrecision<TC extends TimeredCounter>(context: Parameters<NoUndefinedField<StoryObj>['play']>[0], { counter, setBy, }: {
    counter: TC;
    setBy: (counter: TC, key: string, value: Date[] | string) => void;
    equal: (counter: TimeredCounter, a: any, b: Date[]) => Promise<void>;
}): Promise<void>;
