import { expect } from '@storybook/test';
import { isString } from 'remeda';
export function equal(counter, a, b) {
    const na = counter.numberAdapter;
    return expect(na.toString(a)).toBe(na.toString(na.create(b)));
}
export function setByAttr(element, attr, value) {
    value = isString(value) ? value : value.toString();
    element.setAttribute(attr, value);
}
export function setByProp(element, prop, value) {
    // @ts-ignore
    element[prop] = value;
}
export function sleep(ms) {
    return new Promise(resolve => {
        setTimeout(resolve, ms);
    });
}
//# sourceMappingURL=index.js.map