import { Constructor } from 'type-fest';
import { CounterPartsMixin } from './counter-parts.js';
import { AvailableNumberAdapterValueType } from '../number-adapter/index.js';
export declare class CounterAiraMixinInterface {
    ariaLabel: string;
    ariaLive: 'off' | 'polite' | 'assertive';
    generateAriaLabel(): string;
}
export declare const CounterAiraMixin: <V extends AvailableNumberAdapterValueType, T extends ReturnType<typeof CounterPartsMixin<V>> = Constructor<import("./counter-parts.js").CounterPartsMixinInterface<V>> & Constructor<import("./counter-base.js").CounterBaseMixinInterface<V>> & Constructor<import("lit").LitElement>>(superClass: T) => Constructor<CounterAiraMixinInterface> & T;
