import { Constructor } from 'type-fest';
import { PartDigitGetter, PartDigitValueOrGetter } from '../types/group.js';
import { CounterPartsMixin } from './counter-parts.js';
import { AvailableNumberAdapterValueType } from '../number-adapter/index.js';
export declare class CounterAnimationMixinInterface {
    animationOptions: PartDigitValueOrGetter<KeyframeAnimationOptions>;
    animationOptionsDynamic?: PartDigitGetter<KeyframeAnimationOptions>;
    extractAnimationOptions(): KeyframeAnimationOptions[][];
    keyframes: PartDigitValueOrGetter<PropertyIndexedKeyframes>;
    keyframesDynamic?: PartDigitGetter<PropertyIndexedKeyframes>;
    extractKeyframes(): PropertyIndexedKeyframes[][];
}
export declare const CounterAnimationMixin: <V extends AvailableNumberAdapterValueType, T extends ReturnType<typeof CounterPartsMixin<V>> = Constructor<import("./counter-parts.js").CounterPartsMixinInterface<V>> & Constructor<import("./counter-base.js").CounterBaseMixinInterface<V>> & Constructor<import("lit").LitElement>>(superClass: T) => Constructor<CounterAnimationMixinInterface> & T;
