import { StringAdapter } from './types.js';
import type { TimeredCounterAdapter } from '../timered-counter-adapter.js';
/**
 * 使用 `grapheme-splitter` 库的字符串适配器. 该适配器使用 `grapheme-splitter` 库将字符串转换为字符数组.
 *
 * 要使用 {@link GraphemeSplitterAdapter} 需要安装 `grapheme-splitter`.
 */
declare const GraphemeSplitterAdapter: () => StringAdapter;
export declare function register(counterAdapter: typeof TimeredCounterAdapter): void;
export { GraphemeSplitterAdapter };
declare const _default: {
    register: typeof register;
    GraphemeSplitterAdapter: () => StringAdapter;
};
export default _default;
