import { TimeredCounter } from './timered-counter.js';
import { PartsOptions } from './mixins/counter-parts.js';
import { AvailableNumberAdapterValueType } from './number-adapter/index.js';
export declare class TimeredCounterString extends TimeredCounter {
    static styles: import("lit").CSSResult[];
    private __alphabet;
    private __initialValueString;
    get initialValue(): any;
    set initialValue(value: any);
    private __valueString;
    private __oldValueString;
    get value(): any;
    /**
     * 通过 property 设置 value 时, 支持任意字符串.
     */
    set value(value: any);
    private __partsOptions;
    get partsOptions(): Partial<PartsOptions>;
    set partsOptions(value: Partial<PartsOptions>);
    /**
     * 根据 `value`, `initialValue`, `oldValue` 更新字符集.
     * @private
     */
    private __updateAlphabet;
    private __decimalToAnyBase;
    private __anyBaseToDecimal;
    sampleToString(value: AvailableNumberAdapterValueType): string;
    connectedCallback(): void;
}
