import { LitElement, PropertyValues } from 'lit';
import './transitions/roller/index.js';
declare const TimeredCounter_base: import("type-fest").Constructor<import("./mixins/counter-aira.js").CounterAiraMixinInterface> & import("type-fest").Constructor<import("./mixins/counter-animation.js").CounterAnimationMixinInterface> & import("type-fest").Constructor<import("./mixins/counter-styles.js").CounterStylesMixinInterface> & import("type-fest").Constructor<import("./mixins/counter-parts.js").CounterPartsMixinInterface<import("./number-adapter/types.js").AvailableNumberAdapterValueType>> & import("type-fest").Constructor<import("./mixins/counter-base.js").CounterBaseMixinInterface<import("./number-adapter/types.js").AvailableNumberAdapterValueType>> & typeof LitElement;
export declare class TimeredCounter extends TimeredCounter_base {
    static styles: import("lit").CSSResult[];
    resizeObserver: ResizeObserver;
    partsContainerRect: DOMRect | undefined;
    partsContainer: HTMLElement | undefined;
    constructor();
    protected firstUpdated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    dispatchTimeredCounterAnimationStart(): void;
    dispatchTimeredCounterAnimationEnd(): void;
}
export {};
