import { PartData } from '../types/group.js';
export interface PartPreprocessedData {
    /**
     * 是否需要启动动画
     */
    animate: boolean;
    /**
     * 是否需要移除上一次的动画设置的样式
     */
    cancelPrevAnimation: boolean;
    earlyReturn?: string;
    /**
     * 全局索引
     */
    index: number;
    /**
     * 所在 `part` 的索引
     */
    partIndex: number;
    /**
     * 所在 `digit` 的索引
     */
    digitIndex: number;
}
export declare function preprocessPartData(newDirection: 'up' | 'down', newData: PartData[], oldDirection: 'up' | 'down', oldData: PartData[]): PartPreprocessedData[][];
