import { StoryObj } from '@storybook/web-components';
import { TimeredCounter } from '../../src/index.js';
import { NoUndefinedField } from '../utils/index.js';
export declare function bigNumber<TC extends TimeredCounter>(context: Parameters<NoUndefinedField<StoryObj>['play']>[0], { counter, setBy, equal, }: {
    counter: TC;
    setBy: (counter: TC, key: string, value: string) => void;
    equal?: (counter: TimeredCounter, a: any, b: any) => Promise<void>;
}): Promise<void>;
