import { StoryObj } from '@storybook/web-components';
import { TimeredCounter } from '../../src/index.js';
import { NoUndefinedField } from '../utils/index.js';
export declare function edgeCase<T, TC extends TimeredCounter>(context: Parameters<NoUndefinedField<StoryObj>['play']>[0], { counter, list, setBy, }: {
    counter: TC;
    list: [label: string, value: T, expectedValue: T][];
    setBy: (counter: TC, key: string, value: T) => void;
}): Promise<void>;
