import { StoryObj } from '@storybook/web-components';
import { TimeredCounter } from '../../src/index.js';
import { NoUndefinedField } from '../utils/index.js';
export declare const render: (args: any) => import("lit-html").TemplateResult<1>;
export declare function slots<T, TC extends TimeredCounter>(context: Parameters<NoUndefinedField<StoryObj>['play']>[0], { counter, }: {
    counter: TC;
    list?: T[];
    setBy?: (counter: TC, key: string, value: T) => void;
    equal?: (counter: TimeredCounter, a: any, b: T) => Promise<void>;
}): Promise<void>;
