import { StoryObj } from '@storybook/web-components';
import { TimeredCounter } from '../../src/index.js';
import { NoUndefinedField } from '../utils/index.js';
export declare function valueChange<T, TC extends TimeredCounter>(context: Parameters<NoUndefinedField<StoryObj>['play']>[0], { counter, list, setBy, equal, }: {
    counter: TC;
    list?: T[];
    setBy: (counter: TC, key: string, value: T) => void;
    equal?: (counter: TimeredCounter, a: any, b: T) => Promise<void>;
}): Promise<void>;
